Page MenuHomePhabricator

No 'Mark as patrolled' links on Summary creation or revisions
Closed, ResolvedPublic

Description

Found when the fix for T133341: Flow "mark as patrolled" links don't work (claims "Session failure") was being checked.

  1. 'Recent changes' show an exclamation mark for adding or modifications of Summary for Flow topic.

  1. Click on the timestamp - the page that a user is redirected(e.g. http://ca.wikipedia.beta.wmflabs.org/w/index.php?title=Tema:T8h12r03ajc6ftkb&topicsummary_revId=t8uwwe1rdtw17pqw&action=view-topic-summary) does not show 'Mark as patrolled' link.
  2. Clicking on the "differences from the previous version" link directs to the diff page (http://ca.wikipedia.beta.wmflabs.org/w/index.php?title=Tema:T8h12r03ajc6ftkb&action=compare-postsummary-revisions&topicsummary_newRevision=t8uwwe1rdtw17pqw) shows

All other changes on Flow pages - new topic, topic titles, post revision, board description revision - will have a page with the 'Mark as patrolled' link and also, diff page with the 'Mark as patrolled' link.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 11:53 PM
SBisson claimed this task.Aug 2 2016, 6:52 PM

Change 302489 had a related patch set uploaded (by Sbisson):
Add patrol link to topic summary page

https://gerrit.wikimedia.org/r/302489

Change 302489 merged by jenkins-bot:
Add patrol link to topic summary page

https://gerrit.wikimedia.org/r/302489

Checked in betalabs - if a summary added to a topic, is a subject to be patrolled, then it will display a link in 'Recent changes' that lead to a page with 'Mark this page as patrolled' link.

jmatazzoni closed this task as Resolved.Aug 8 2016, 7:39 PM